/**
 * Copyright (c) 2016-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.junit.impl;

import java.net.URL;

import javax.xml.namespace.QName;

public class ProvidesServiceConfiguration extends PCServiceConfiguration {

    private final URL serviceDescription;

    public ProvidesServiceConfiguration(final QName interfaceQName, final QName serviceQName, final String endpointName,
            final URL serviceDescription) {
        super(interfaceQName, serviceQName, endpointName);
        assert interfaceQName != null;
        assert serviceQName != null;
        assert endpointName != null;

        this.serviceDescription = serviceDescription;
    }

    public ProvidesServiceConfiguration(final QName interfaceQName, final QName serviceQName,
            final String endpointName) {
        this(interfaceQName, serviceQName, endpointName, null);
    }

    public URL getServiceDescription() {
        return serviceDescription;
    }

}
