/**
 * Copyright (c) 2011-2012 EBM WebSourcing, 2012-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.junit.impl.message;

import javax.jbi.messaging.MessageExchange;

import org.ow2.petals.component.framework.junit.Message;
import org.ow2.petals.jbi.messaging.exchange.PetalsMessageExchange;


/**
 * 
 * This is meant to be used by client code to send message to the component, either from the tests or from the external
 * services.
 * 
 * @author Marc Jambert - EBM WebSourcing
 */
public abstract class AbstractWrappedToComponentMessage extends AbstractWrappedMessage {

    public AbstractWrappedToComponentMessage(final Message message) {
        this(assertAndCast(message.getMessageExchange()));
    }

    protected AbstractWrappedToComponentMessage(final PetalsMessageExchange messageExchange) {
        super(messageExchange);
    }

    public static PetalsMessageExchange assertAndCast(final MessageExchange exchange) {
        assert exchange instanceof PetalsMessageExchange : "The exchange should be a PetalsMessageExchange: "+exchange.getClass().getName();
        return (PetalsMessageExchange) exchange;
    }
}
