/**
 * Copyright (c) 2016-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.junit.impl.message;

import javax.xml.transform.Source;

import org.ow2.petals.component.framework.api.message.Exchange;
import org.ow2.petals.component.framework.junit.ResponseMessage;
import org.ow2.petals.jbi.messaging.exchange.PetalsMessageExchange;

/**
 * This is not meant to be instantiated by client code, only CDK Junit should instantiate it.
 * 
 * This represents fault from the component under test as an answer to a {@link ResponseMessage}.
 * 
 */
public class WrappedFaultFromProviderMessage extends AbstractWrappedFromComponentMessage implements ResponseMessage {

    public WrappedFaultFromProviderMessage(final PetalsMessageExchange messageExchange) {
        super(messageExchange);
        assert messageExchange.getFault() != null;
        assert messageExchange.getMessage(Exchange.OUT_MESSAGE_NAME) == null;
    }

	@Override
    public Source getPayload() {
        return this.getFault();
	}

    @Override
    public boolean isFault() {
        return true;
    }
}
